Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts
Class DefaultResolvedDependency

    java.lang.Object
      org.gradle.api.internal.artifacts.DefaultResolvedDependency

All Implemented Interfaces:
  ResolvedDependency

    class DefaultResolvedDependency

author:
  Hans Dockter

Constructor Summary
`DefaultResolvedDependency(java.lang.String name, java.lang.String configuration, java.util.Set configurationHierarchy, java.util.Set moduleFiles)`

Method Summary
`void` | `addParentSpecificFiles(ResolvedDependency parent, java.util.Set files)`
`boolean` | `containsConfiguration(java.lang.String configuration)`
`boolean` | `equals(java.lang.Object o)`
`java.util.Set` | `getAllFiles(ResolvedDependency parent)`
`java.util.Set` | `getAllModuleFiles()`
`java.util.Set` | `getChildren()`
`java.lang.String` | `getConfiguration()`
`java.util.Set` | `getConfigurationHierarchy()`
`java.util.Set` | `getFiles(ResolvedDependency parent)`
`java.util.Set` | `getModuleFiles()`
`java.lang.String` | `getName()`
`java.util.Set` | `getParentFiles(ResolvedDependency parent)`
`java.util.Set` | `getParents()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultResolvedDependency

    public DefaultResolvedDependency(java.lang.String name, java.lang.String configuration, java.util.Set configurationHierarchy, java.util.Set moduleFiles)

Method Detail

### addParentSpecificFiles

    public void addParentSpecificFiles(ResolvedDependency parent, java.util.Set files)

### containsConfiguration

    public boolean containsConfiguration(java.lang.String configuration)

### equals

    @Override
    public boolean equals(java.lang.Object o)

### getAllFiles

    public java.util.Set getAllFiles(ResolvedDependency parent)

### getAllModuleFiles

    public java.util.Set getAllModuleFiles()

### getChildren

    public java.util.Set getChildren()

### getConfiguration

    public java.lang.String getConfiguration()

### getConfigurationHierarchy

    public java.util.Set getConfigurationHierarchy()

### getFiles

    public java.util.Set getFiles(ResolvedDependency parent)

### getModuleFiles

    public java.util.Set getModuleFiles()

### getName

    public java.lang.String getName()

### getParentFiles

    public java.util.Set getParentFiles(ResolvedDependency parent)

### getParents

    public java.util.Set getParents()

### hashCode

    @Override
    public int hashCode()

### toString

    public java.lang.String toString()

Groovy Documentation